package de.dhbwstuttgart.exceptions;

import java.util.Collections;
import java.util.List;

public class WarningsException extends RuntimeException {

    public final List<CompilerWarning> compilerWarnings;

    public WarningsException(String message, List<CompilerWarning> warnings) {
        super(message);
        this.compilerWarnings = Collections.unmodifiableList(warnings);
    }
}
